d2i_DHparams(3) | OpenSSL | d2i_DHparams(3)

# NAME

d2i_DHparams, i2d_DHparams - PKCS#3 DH parameter functions.

# LIBRARY

libcrypto, -lcrypto

# SYNOPSIS

#include <openssl/dh.h>
DH *d2i_DHparams(DH **a, unsigned char **pp, long length);
int i2d_DHparams(DH *a, unsigned char **pp);

# DESCRIPTION

These functions decode and encode PKCS#3 DH parameters using the DHparameter structure described in PKCS#3.

Othewise these behave in a similar way to d2i_X509() and i2d_X509() described in the d2i_X509(3) manual page.

# SEE ALSO

d2i_X509(3)

# HISTORY

TBA

2009-07-19 | 1.0.1u